cls
$themeName = "Yellow"

#URL of the site collection
$targetSiteCollection = "https://contoso.sharepoint.com/"   

#Path of the source folder containing your color file (ends with \)
$filePath = "C:\path\to\file\"   

#File name, including extension 
$fileName = "yellow.spcolor" 

#Autenticate on SharePoint Online site collection, credentials might be requested
Connect-PnPOnline -UseWebLogin -Url $targetSiteCollection

#Get the relatative url of the site collection  
$relativeWebUrl = Get-PnPWeb
$relativeWebUrl = $relativeWebUrl.ServerRelativeUrl

#Path to the theme gallery 
$targetDir = "/_catalogs/theme/15"   

#Upload the theme file to the themes library 
Add-PnPFile -Path ($filePath+$fileName) -Folder $targetDir 

#Register the theme on the Composed Looks list
Add-PnPListItem -List "Composed Looks" -ContentType "Item" -Values @{"Title"=$themeName; "Name"=$themeName; "MasterPageUrl"=$relativeWebUrl+"/_catalogs/masterpage/seattle.master, "+$relativeWebUrl+"/_catalogs/masterpage/seattle.master"; "ThemeUrl"=$relativeWebUrl+"/_catalogs/theme/15/"+$fileName+", "+$relativeWebUrl+"/_catalogs/theme/15/"+$fileName+""; "DisplayOrder"="1"}

#Reset all sites in the site collection to use the uploaded theme
$pathToColorFile = $relativeWebUrl+"/_catalogs/theme/15/"+$fileName
write-host "Applying the theme..."
Set-PnPTheme -ColorPaletteUrl $pathToColorFile -ResetSubwebsToInherit
